datacache <- new.env(hash=TRUE, parent=emptyenv())

hugene11stv1hsentrezg <- function() showQCData("hugene11stv1hsentrezg", datacache)
hugene11stv1hsentrezg_dbconn <- function() dbconn(datacache)
hugene11stv1hsentrezg_dbfile <- function() dbfile(datacache)
hugene11stv1hsentrezg_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
hugene11stv1hsentrezg_dbInfo <- function() dbInfo(datacache)

hugene11stv1hsentrezgORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "hugene11stv1hsentrezg.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("HUMANCHIP_DB", "hugene11stv1hsentrezg", "chip hugene11stv1hsentrezg", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
    packageStartupMessage(AnnotationDbi:::annoStartupMessages("hugene11stv1hsentrezg.db"))
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(hugene11stv1hsentrezg_dbconn())
}

